View Issue Details

IDProjectCategoryView StatusLast Update
12154Development Installationpublic2017-04-27 11:26
ReporterjiripavlicekAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version2.5x 
Target VersionFixed in Version 
Summary12154: production CSS files contains info about *.css.map files - causes 404 error on production sites
DescriptionWhen anybody downloads Limesurvey from official download page (for example limesurvey2.63.1+170305.zip), CSS files contains debug info about *.css.map files. Visitors web browsers with enabled developer tools then tries to download those *.css.map fiels and it causes 404 error on produktion site.

I think solution is easy, build production CSS files without those debug informations.
TagsNo tags attached.

Activities

LouisGac

LouisGac

2017-04-25 11:46

developer   ~43439

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22658

Related Changesets

LimeSurvey: master 9a7ed7e9

2017-04-25 11:46:43

LouisGac

Details Diff
Fixed issue 12154: production CSS files contains info about *.css.map
mod - styles/Apple_Blossom/css/lime-admin-colors.css Diff File
mod - styles/Bay_of_Many/css/lime-admin-colors.css Diff File
mod - styles/Black_Pearl/css/lime-admin-colors.css Diff File
mod - styles/Dark_Sky/css/lime-admin-colors.css Diff File
mod - styles/Free_Magenta/css/lime-admin-colors.css Diff File
mod - styles/Noto_All_Languages/css/lime-admin-colors.css Diff File
mod - styles/Purple_Tentacle/css/lime-admin-colors.css Diff File
mod - styles/Sea_Green/css/lime-admin-colors.css Diff File
mod - styles/Sunset_Orange/css/lime-admin-colors.css Diff File
rm - third_party/fontawesome/css/font-awesome.css.map Diff File

Issue History

Date Modified Username Field Change
2017-02-25 15:14 jiripavlicek New Issue
2017-04-25 11:29 LouisGac Sticky Issue No => Yes
2017-04-25 11:46 LouisGac Changeset attached => LimeSurvey master 9a7ed7e9
2017-04-25 11:46 LouisGac Note Added: 43439
2017-04-25 11:46 LouisGac Assigned To => LouisGac
2017-04-25 11:46 LouisGac Resolution open => fixed
2017-04-25 11:47 LouisGac Status new => resolved
2017-04-27 11:26 LouisGac Sticky Issue Yes => No